Bug 132180 - About dialog has a stretched brand image
Summary: About dialog has a stretched brand image
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: UI (show other bugs)
Version:
(earliest affected)
7.0.0.0.alpha0+
Hardware: All Windows (All)
: medium normal
Assignee: Heiko Tietze
URL:
Whiteboard: target:7.0.0
Keywords:
Depends on:
Blocks: About-Dialog
  Show dependency treegraph
 
Reported: 2020-04-17 09:56 UTC by Heiko Tietze
Modified: 2020-05-09 14:24 UTC (History)
4 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
Screenshot (266.89 KB, image/jpeg)
2020-04-26 16:28 UTC, Telesto
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Heiko Tietze 2020-04-17 09:56:22 UTC
While the SVG is drawn correctly on Linux it's stretched on Windows. See https://imgur.com/XXvZYep (Windows) vs. https://imgur.com/a/H4Q9g6d (Linux).
Comment 1 V Stuart Foote 2020-04-17 14:06:16 UTC
confirmed

Version: 7.0.0.0.alpha0+ (x64)Build ID: 96f77910e86f88c99621a8b17c09fc69f9f1d8f3CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Vulkan; VCL: win; Locale: en-US (en_US); UI-Language: en-USCalc: threaded
Comment 2 Telesto 2020-04-17 16:22:31 UTC
Bit off topic...
* Likely a mental preference of mine. However, a preference for text at the left, image at the right. 
* The empty space left of close button.. Feels empty
Comment 3 Heiko Tietze 2020-04-20 12:37:16 UTC
Solved in https://gerrit.libreoffice.org/c/core/+/92565 by explicitly centering the image. 

Caolan, it seems the not activated fill option makes the trouble. Keep this ticket open, create another one, or ignore?
Comment 4 Heiko Tietze 2020-04-20 12:47:28 UTC
(In reply to Telesto from comment #2)
> Bit off topic...
> * Likely a mental preference of mine. However, a preference for text at the
> left, image at the right. 
> * The empty space left of close button.. Feels empty

Left-hand image was recommended by the design group on Telegram as it fits better the left-aligned text. Firefox and AOO about dialogs have the same layout.

And the empty space has gone with the Copy Version Info button.
Comment 5 Commit Notification 2020-04-20 14:08:05 UTC
Heiko Tietze committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/1fe4486cd56a8e7f6f19f5a8453c167faac8faa4

Resolves tdf#132180 - Stretched brand image at the ABout dialog

It will be available in 7.0.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Telesto 2020-04-26 16:28:59 UTC
Created attachment 159962 [details]
Screenshot

Maybe some quirk of my settings, but I'm missing a few pixels at the bottom of the brand image.
Comment 7 Heiko Tietze 2020-04-27 10:19:01 UTC
(In reply to Telesto from comment #6)
> I'm missing a few pixels at the bottom of the brand image.

The image is loaded from SVG. Unlikely that pixels are cut only on this but not the about image left-hand (both are SVGs).
Comment 8 Heiko Tietze 2020-05-05 05:54:40 UTC
(In reply to Telesto from comment #6)
> Created attachment 159962 [details]
> Screenshot
> 
> Maybe some quirk of my settings, but I'm missing a few pixels at the bottom
> of the brand image.

Solved with https://gerrit.libreoffice.org/c/core/+/93444